%define api 3.0

Name:		abiword
Summary:	Lean and fast full-featured word processor
Version:	3.0.2
Release:	%mkrel 4 
Group:		Office/Word processor
URL:		http://www.abisource.com/
License:	GPLv2+
Source0:	http://www.abisource.com/downloads/abiword/%{version}/source/%{name}-%{version}.tar.xz
Patch0:		abiword-3.0.0-librevenge.patch
Patch1:     abiword-3.0.2-fix-black-drawing-regression.patch
Patch2:     abiword-3.0.2-fix-nullptr-c++98.patch
Patch3:     abiword-2.6.0-boolean.patch
Patch4:     abiword-2.8.3-desktop.patch
Patch5:     abiword-3.0.2-flicker.patch
Patch6:     abiword-3.0.2-cursor-blink-off.patch
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: bison
BuildRequires: desktop-file-utils
BuildRequires: asio
BuildRequires: gnome-common
BuildRequires: python-gobject
BuildRequires: python-setuptools
BuildRequires: lib64cairo-devel 
BuildRequires: lib64champlain-devel 
BuildRequires: lib64enchant-devel
BuildRequires: lib64dbus-glib-1_2-devel 
BuildRequires: lib64aiksaurus-devel 
BuildRequires: lib64glib2.0-devel 
BuildRequires: lib64aiksaurusgtk-devel 
BuildRequires: lib64fribidi-devel 
BuildRequires: lib64glib2.0-devel 
BuildRequires: lib64girepository-devel
BuildRequires: lib64gtk+3.0-devel 
BuildRequires: lib64gnutls-devel 
BuildRequires: lib64ical-devel 
BuildRequires: lib64gsf-1_114-devel 
BuildRequires: lib64goffice0.10_10-devel
BuildRequires: evolution-data-server-devel
BuildRequires: lib64xml2-devel 
BuildRequires: lib64revenge-devel 
BuildRequires: lib64wpd-devel
BuildRequires: lib64rasqal-devel 
BuildRequires: lib64pango1.0-devel 
BuildRequires: lib64rsvg2-devel
BuildRequires: lib64redland-devel 
BuildRequires: lib64wpg-devel
BuildRequires: lib64gtkmathview-devel 
BuildRequires: lib64ots-devel 
BuildRequires: lib64soup-devel
BuildRequires: lib64wv-devel 
BuildRequires: libloudmouth-devel
BuildRequires: lib64telepathy-glib-devel 
BuildRequires: lib64png-devel 
BuildRequires: lib64link-grammar4-devel   
BuildRequires: lib64boost-devel
BuildRequires: lib64gcrypt-devel
BuildRequires: lib64jpeg-devel
BuildRequires: libpsiconv-devel
BuildRequires: lib64wmf-devel
BuildRequires: lib64python-devel
BuildRequires: libpthread-stubs
BuildRequires: wayland-protocols-devel


%description
AbiWord is a cross-platform, open source, lean and fast full-featured word
processor. It works on Most Unix systems, Microsoft Windows and Mac OS X.

Abiword with the GNOME front-end is part of the GNOME Office Suite.
See http://www.gnomeoffice.org for details.

%package devel
Summary:	Devel files for Abiword
Group:		Development/Other
Requires:	%{name} = %{version}

%description devel
This pacakage contains devel files for Abiword, mainly header files
and pkg files.

%package -n python-%{name}
Summary:	Python bindings for libabiword
Requires:	%{name} = %{version}


%description -n python-%{name}
This package installs Python bindings for libabiword.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
autoreconf -fi

%define Werror_cflags %nil
# find plugins Makefile templates
find plugins -name Makefile.am | sed  's|.am$||g' > plugin-makefiles.m4

# create plugin list
(cd ./plugins && find . -maxdepth 1 -type d | grep -v '^\.$' | grep -v '\./\.' | sed 's|\./||g' | xargs echo) > plugin-list.m4

# create conditionals for builtin plugins
(for plugin in `cat plugin-list.m4`; do
	u=`echo $plugin | tr '[:lower:]' '[:upper:]'`
	echo 'AM_CONDITIONAL(['$u'_BUILTIN], test "$enable_'$plugin'_builtin" = "yes")'
done) > plugin-builtin.m4

# find extra m4 files provided by plugins and symlink them
for f in ` find ./plugins -name '*.m4' | grep -v 'plugin\.m4'`; do
    ln -sf $f
done

autoreconf -fi
%configure2_5x \
	--disable-static \
	--enable-plugins \
	--enable-clipart \
	--enable-templates \
	--enable-introspection \
	--disable-collab-backend-service
make

%install
rm -rf %buildroot
%makeinstall_std

find %{buildroot} -name '*.la' -delete

rm -f %{buildroot}%{_datadir}/dbus-1/services/*.service \
   %{buildroot}%{_datadir}/telepathy/clients/AbiCollab.client

desktop-file-install --vendor="" \
	--remove-category="X-Red-Hat-Base" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%{_bindir}/abiword
%{_datadir}/abiword-%{api}
%{_libdir}/libAiksaurusGtk3--export-dynamic.so
%{_libdir}/libabiword-3.0.so
%{_libdir}/girepository-1.0/Abi-%{api}.typelib
%{_libdir}/abiword-%{api}
%{_mandir}/man1/abiword.1.*
%{_iconsdir}/*/*/*/*
%{_datadir}/applications/*.desktop


%files devel
%{_includedir}/abiword-%{api}
%{_libdir}/libAiksaurusGtk3.so
%{_datadir}/gir-1.0/Abi-%{api}.gir
%{_libdir}/pkgconfig/abiword-%{api}.pc

%files -n python-%{name}
%{python_sitearch}/gi/overrides/Abi.*


%changelog
* Sun Apr 30 2017 ghostbunny <ghostbunny at gmx dot de> 3.0.2-4pclos2017
- rebuild agains new libgcrypt

* Sun Mar 19 2017 bb2 <bb2> 3.0.2-3pclos2017
- recreate missing srpm
- rebuild for new gnutls
- apply gentoo patches for various fixes
